## Sequence Name (sequence_name)

A sequence_name identifies a sequence of values.

### Syntax

<sequence_name> ::= <identifier>

The identifier may not exceed 32 characters in length.

### Explanation

A sequence is a series of values generated in accordance with certain rules. Among other things, you can define the step width between these values.

Sequences can be used to generate unique values. These are not uninterrupted, because values generated within a transaction that has been rolled back cannot be used again.

See also:

CREATE SEQUENCE Statement

DROP SEQUENCE Statement